获取选择第一个选择集。 支持的平台:仅窗口 言论没有额外的评论。 例子工 务 局: Sub Example_PickfirstSelectionSet() ' This example lists all the objects in the pickfirst selection set. ' Before running this example, create some objects in the active ' drawing and select those objects. The objects currently selected ' in the active drawing will be returned in the pickfirst selection set. Dim pfSS As AcadSelectionSet Dim ssobject As AcadEntity Dim msg As String msg = "" Set pfSS = ThisDrawing.PickfirstSelectionSet For Each ssobject In pfSS msg = msg & vbCrLf & ssobject.ObjectName Next ssobject MsgBox "The Pickfirst selection set contains: " & msg End Sub Visual LISP: (vl-load-com) (defun c:Example_PickfirstSelectionSet() ;; This example lists all the objects in the pickfirst selection set. ;; Before running this example, create some objects in the active ;; drawing and select those objects. The objects currently selected ;; in the active drawing will be returned in the pickfirst selection set. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq msg "" pfSS (vla-get-PickfirstSelectionSet doc)) (vlax-for ssobject pfSS (setq msg (strcat msg "\n" (vla-get-ObjectName ssobject))) ) (alert (strcat "The Pickfirst selection set contains: " msg)) ) |
|Archiver|CAD开发者社区
( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-4-19 18:50
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.